Bug 796603 - [FEAT] `gluster volume create' should create parent directories during volume creation
[FEAT] `gluster volume create' should create parent directories during volume...
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
pre-release
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Krutika Dhananjay
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-23 05:00 EST by Sachidananda Urs
Modified: 2013-03-14 02:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 02:14:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sachidananda Urs 2012-02-23 05:00:33 EST
Description of problem:

When `gluster volume create' is executed, parent directories are not created during volume creation.

If a larger number of nodes exist during volume creation it is cumbersome to login to each node to create the necessary parent directories.

Version-Release number of selected component (if applicable):
NA

How reproducible:

Always

Steps to Reproduce:
1. gluster volume create foo node1:/tmp/1/2/non/existant/dir
2.
3.
  
Actual results:
Unable to create volume, directory does not exist.

Expected results:
Should create the necessary parent directories on the fly.

Additional info:
Comment 1 Amar Tumballi 2012-02-23 05:06:06 EST
Need policy makers to approve this.

Last debate was if by mistake user did '/data/glsuter/exprot/vol1' instead of '/data/gluster/export/vol1', he may end up creating a directory with wrong name.

One thing we can do is we can add a 'force' option to volume create, which can create parent directories.
Comment 2 krishnan parthasarathi 2012-08-24 04:43:05 EDT
Kaushal,
Could you confirm that the following patch fixes this bug?
http://review.gluster.com/3378
Comment 3 Krutika Dhananjay 2013-03-14 02:14:14 EDT
The requested behavior is already implemented in upstream. Hence, closing the bug.

Note You need to log in before you can comment on or make changes to this bug.